/* eslint-disable max-len */
import React, { SVGProps } from "react";

import { IiCon } from "@/types/IconInterface";

import styles from "./IconFills.module.scss";

export const DeleteIcon = ({ color, width = "1rem", height = "1rem", fill, ...restProps }: IiCon & SVGProps<SVGSVGElement>) => (
    <svg
        className={styles[`icon_color-${color}`]}
        style={{ width: width, height: height }}
        viewBox="0 0 16 16"
        fill="none"
        xmlns="http://www.w3.org/2000/svg"
        {...restProps}
    >
        <defs />
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M8.16456 14.6666C7.26123 14.6666 6.38056 14.6566 5.50923 14.6386C4.39456 14.6166 3.62323 13.8939 3.49723 12.7526C3.28723 10.8593 2.92789 6.3966 2.92456 6.35194C2.90189 6.0766 3.10723 5.83527 3.38256 5.81327C3.65389 5.80594 3.89923 5.9966 3.92123 6.27127C3.92456 6.3166 4.28323 10.7639 4.49123 12.6426C4.56256 13.2913 4.91256 13.6259 5.52989 13.6386C7.19656 13.6739 8.89723 13.6759 10.7306 13.6426C11.3866 13.6299 11.7412 13.3019 11.8146 12.6379C12.0212 10.7753 12.3812 6.3166 12.3852 6.27127C12.4072 5.9966 12.6506 5.8046 12.9232 5.81327C13.1986 5.83594 13.4039 6.0766 13.3819 6.35194C13.3779 6.39727 13.0166 10.8713 12.8086 12.7479C12.6792 13.9126 11.9099 14.6213 10.7486 14.6426C9.8599 14.6579 9.00256 14.6666 8.16456 14.6666Z"
            fill={fill}
        />
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M13.8053 4.65942H2.5C2.224 4.65942 2 4.43542 2 4.15942C2 3.88342 2.224 3.65942 2.5 3.65942H13.8053C14.0813 3.65942 14.3053 3.88342 14.3053 4.15942C14.3053 4.43542 14.0813 4.65942 13.8053 4.65942Z"
            fill={fill}
        />
        <path
            fillRule="evenodd"
            clipRule="evenodd"
            d="M11.6269 4.6595C10.8682 4.6595 10.2096 4.11883 10.0602 3.37483L9.89822 2.56416C9.86422 2.44083 9.72356 2.3335 9.56356 2.3335H6.74156C6.58156 2.3335 6.44089 2.44083 6.40022 2.59483L6.24489 3.37483C6.09622 4.11883 5.43689 4.6595 4.67822 4.6595C4.40222 4.6595 4.17822 4.4355 4.17822 4.1595C4.17822 3.8835 4.40222 3.6595 4.67822 3.6595C4.96222 3.6595 5.20889 3.45683 5.26489 3.17816L5.42689 2.3675C5.59156 1.74616 6.12956 1.3335 6.74156 1.3335H9.56356C10.1756 1.3335 10.7136 1.74616 10.8716 2.3375L11.0409 3.17816C11.0962 3.45683 11.3429 3.6595 11.6269 3.6595C11.9029 3.6595 12.1269 3.8835 12.1269 4.1595C12.1269 4.4355 11.9029 4.6595 11.6269 4.6595Z"
            fill={fill}
        />
    </svg>
);
